summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2008-03-16 08:32:08 +0000
committerMike Frysinger <vapier@gentoo.org>2008-03-16 08:32:08 +0000
commit33adc5abf482710f259d3339c3a43dd52ebc2701 (patch)
tree020656131ac4973a9a81f2e9525134f9a098fd91 /sys-apps
parentRemove old, bug 201671. (diff)
downloadgentoo-2-33adc5abf482710f259d3339c3a43dd52ebc2701.tar.gz
gentoo-2-33adc5abf482710f259d3339c3a43dd52ebc2701.tar.bz2
gentoo-2-33adc5abf482710f259d3339c3a43dd52ebc2701.zip
old
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/iproute2/files/iproute2-051007-esfq-2.6.13.patch246
-rw-r--r--sys-apps/iproute2/files/iproute2-2.6.11.20050330-wrr.patch456
-rw-r--r--sys-apps/iproute2/files/iproute2-2.6.16.20060323-ifcfg-catch-missing-argument.patch22
-rw-r--r--sys-apps/iproute2/files/iproute2-2.6.16.20060323-routef-safe.patch17
-rw-r--r--sys-apps/iproute2/files/iproute2-2.6.18.20061002-genl.patch22
-rw-r--r--sys-apps/iproute2/files/iproute2-2.6.19.20061214-build.patch12
-rw-r--r--sys-apps/iproute2/iproute2-2.6.15.20060110.ebuild77
-rw-r--r--sys-apps/iproute2/iproute2-2.6.16.20060323.ebuild93
-rw-r--r--sys-apps/iproute2/iproute2-2.6.18.20061002.ebuild91
-rw-r--r--sys-apps/iproute2/iproute2-2.6.19.20061214.ebuild91
-rw-r--r--sys-apps/iproute2/iproute2-2.6.20.20070313.ebuild90
11 files changed, 0 insertions, 1217 deletions
diff --git a/sys-apps/iproute2/files/iproute2-051007-esfq-2.6.13.patch b/sys-apps/iproute2/files/iproute2-051007-esfq-2.6.13.patch
deleted file mode 100644
index 7fced17f17d8..000000000000
--- a/sys-apps/iproute2/files/iproute2-051007-esfq-2.6.13.patch
+++ /dev/null
@@ -1,246 +0,0 @@
-diff -Naur iproute2-2.6.11-old/tc/Makefile iproute2-2.6.11/tc/Makefile
---- iproute2-2.6.11-old/tc/Makefile 2005-03-14 14:23:54.000000000 -0800
-+++ iproute2-2.6.11/tc/Makefile 2005-03-20 21:33:28.000000000 -0800
-@@ -6,6 +6,7 @@
- TCMODULES :=
- TCMODULES += q_fifo.o
- TCMODULES += q_sfq.o
-+TCMODULES += q_esfq.o
- TCMODULES += q_red.o
- TCMODULES += q_prio.o
- TCMODULES += q_tbf.o
-diff -Naur iproute2-051007.old/include/linux/pkt_sched.h iproute2-051007/include/linux/pkt_sched.h
---- iproute2-051007.old/include/linux/pkt_sched.h 2005-10-23 21:07:52.000000000 -0700
-+++ iproute2-051007/include/linux/pkt_sched.h 2005-10-21 18:12:55.000000000 -0700
-@@ -145,8 +145,35 @@
- *
- * The only reason for this is efficiency, it is possible
- * to change these parameters in compile time.
-+ *
-+ * If you need to play with these values use esfq instead.
- */
-
-+/* ESFQ section */
-+
-+enum
-+{
-+ /* traditional */
-+ TCA_SFQ_HASH_CLASSIC,
-+ TCA_SFQ_HASH_DST,
-+ TCA_SFQ_HASH_SRC,
-+ TCA_SFQ_HASH_FWMARK,
-+ /* direct */
-+ TCA_SFQ_HASH_DSTDIR,
-+ TCA_SFQ_HASH_SRCDIR,
-+ TCA_SFQ_HASH_FWMARKDIR,
-+};
-+
-+struct tc_esfq_qopt
-+{
-+ unsigned quantum; /* Bytes per round allocated to flow */
-+ int perturb_period; /* Period of hash perturbation */
-+ __u32 limit; /* Maximal packets in queue */
-+ unsigned divisor; /* Hash divisor */
-+ unsigned flows; /* Maximal number of flows */
-+ unsigned hash_kind; /* Hash function to use for flow identification */
-+};
-+
- /* RED section */
-
- enum
-diff -Naur iproute2-051007.old/tc/q_esfq.c iproute2-051007/tc/q_esfq.c
---- iproute2-051007.old/tc/q_esfq.c 1969-12-31 16:00:00.000000000 -0800
-+++ iproute2-051007/tc/q_esfq.c 2005-10-21 18:28:44.000000000 -0700
-@@ -0,0 +1,192 @@
-+/*
-+ * q_esfq.c ESFQ.
-+ *
-+ * This program is free software; you can redistribute it and/or
-+ * modify it under the terms of the GNU General Public License
-+ * as published by the Free Software Foundation; either version
-+ * 2 of the License, or (at your option) any later version.
-+ *
-+ * Authors: Alexey Kuznetsov, <kuznet@ms2.inr.ac.ru>
-+ *
-+ * Changes: Alexander Atanasov, <alex@ssi.bg>
-+ * Added depth,limit,divisor,hash_kind options.
-+ */
-+
-+#include <stdio.h>
-+#include <stdlib.h>
-+#include <unistd.h>
-+#include <syslog.h>
-+#include <fcntl.h>
-+#include <math.h>
-+#include <sys/socket.h>
-+#include <netinet/in.h>
-+#include <arpa/inet.h>
-+#include <string.h>
-+
-+#include "utils.h"
-+#include "tc_util.h"
-+
-+static void explain(void)
-+{
-+ fprintf(stderr, "Usage: ... esfq [ perturb SECS ] [ quantum BYTES ] [ depth FLOWS ]\n\t[ divisor HASHBITS ] [ limit PKTS ] [ hash HASHTYPE]\n");
-+ fprintf(stderr,"Where: \n");
-+ fprintf(stderr,"HASHTYPE := { classic | src | dst | fwmark | src_dir | dst_dir | fwmark_dir }\n");
-+}
-+
-+#define usage() return(-1)
-+
-+static int esfq_parse_opt(struct qdisc_util *qu, int argc, char **argv, struct nlmsghdr *n)
-+{
-+ int ok=0;
-+ struct tc_esfq_qopt opt;
-+
-+ memset(&opt, 0, sizeof(opt));
-+
-+ opt.hash_kind= TCA_SFQ_HASH_CLASSIC;
-+
-+ while (argc > 0) {
-+ if (strcmp(*argv, "quantum") == 0) {
-+ NEXT_ARG();
-+ if (get_size(&opt.quantum, *argv)) {
-+ fprintf(stderr, "Illegal \"quantum\"\n");
-+ return -1;
-+ }
-+ ok++;
-+ } else if (strcmp(*argv, "perturb") == 0) {
-+ NEXT_ARG();
-+ if (get_integer(&opt.perturb_period, *argv, 0)) {
-+ fprintf(stderr, "Illegal \"perturb\"\n");
-+ return -1;
-+ }
-+ ok++;
-+ } else if (strcmp(*argv, "depth") == 0) {
-+ NEXT_ARG();
-+ if (get_integer((int *) &opt.flows, *argv, 0)) {
-+ fprintf(stderr, "Illegal \"depth\"\n");
-+ return -1;
-+ }
-+ ok++;
-+ } else if (strcmp(*argv, "divisor") == 0) {
-+ NEXT_ARG();
-+ if (get_integer((int *) &opt.divisor, *argv, 0)) {
-+ fprintf(stderr, "Illegal \"divisor\"\n");
-+ return -1;
-+ }
-+ if(opt.divisor >= 15) {
-+ fprintf(stderr, "Illegal \"divisor\" must be < 15\n");
-+ return -1;
-+ }
-+ opt.divisor=pow(2,opt.divisor);
-+ ok++;
-+ } else if (strcmp(*argv, "limit") == 0) {
-+ NEXT_ARG();
-+ if (get_integer((int *) &opt.limit, *argv, 0)) {
-+ fprintf(stderr, "Illegal \"limit\"\n");
-+ return -1;
-+ }
-+ ok++;
-+ } else if (strcmp(*argv, "hash") == 0) {
-+ NEXT_ARG();
-+ if(strcmp(*argv, "classic") == 0) {
-+ opt.hash_kind= TCA_SFQ_HASH_CLASSIC;
-+ } else
-+ if(strcmp(*argv, "dst") == 0) {
-+ opt.hash_kind= TCA_SFQ_HASH_DST;
-+ } else
-+ if(strcmp(*argv, "src") == 0) {
-+ opt.hash_kind= TCA_SFQ_HASH_SRC;
-+ } else
-+ if(strcmp(*argv, "fwmark") == 0) {
-+ opt.hash_kind= TCA_SFQ_HASH_FWMARK;
-+ } else
-+ if(strcmp(*argv, "dst_direct") == 0) {
-+ opt.hash_kind= TCA_SFQ_HASH_DSTDIR;
-+ } else
-+ if(strcmp(*argv, "src_direct") == 0) {
-+ opt.hash_kind= TCA_SFQ_HASH_SRCDIR;
-+ } else
-+ if(strcmp(*argv, "fwmark_direct") == 0) {
-+ opt.hash_kind= TCA_SFQ_HASH_FWMARKDIR;
-+ } else {
-+ fprintf(stderr, "Illegal \"hash\"\n");
-+ explain();
-+ return -1;
-+ }
-+ ok++;
-+ } else if (strcmp(*argv, "help") == 0) {
-+ explain();
-+ return -1;
-+ } else {
-+ fprintf(stderr, "What is \"%s\"?\n", *argv);
-+ explain();
-+ return -1;
-+ }
-+ argc--; argv++;
-+ }
-+
-+ if (ok)
-+ addattr_l(n, 1024, TCA_OPTIONS, &opt, sizeof(opt));
-+ return 0;
-+}
-+
-+static int esfq_print_opt(struct qdisc_util *qu, FILE *f, struct rtattr *opt)
-+{
-+ struct tc_esfq_qopt *qopt;
-+ SPRINT_BUF(b1);
-+
-+ if (opt == NULL)
-+ return 0;
-+
-+ if (RTA_PAYLOAD(opt) < sizeof(*qopt))
-+ return -1;
-+ qopt = RTA_DATA(opt);
-+ fprintf(f, "quantum %s ", sprint_size(qopt->quantum, b1));
-+ if (show_details) {
-+ fprintf(f, "limit %up flows %u/%u ",
-+ qopt->limit, qopt->flows, qopt->divisor);
-+ }
-+ if (qopt->perturb_period)
-+ fprintf(f, "perturb %dsec ", qopt->perturb_period);
-+
-+ fprintf(f,"hash: ");
-+ switch(qopt->hash_kind)
-+ {
-+ case TCA_SFQ_HASH_CLASSIC:
-+ fprintf(f,"classic");
-+ break;
-+ case TCA_SFQ_HASH_DST:
-+ fprintf(f,"dst");
-+ break;
-+ case TCA_SFQ_HASH_SRC:
-+ fprintf(f,"src");
-+ break;
-+ case TCA_SFQ_HASH_FWMARK:
-+ fprintf(f,"fwmark");
-+ break;
-+ case TCA_SFQ_HASH_DSTDIR:
-+ fprintf(f,"dst_direct");
-+ break;
-+ case TCA_SFQ_HASH_SRCDIR:
-+ fprintf(f,"src_direct");
-+ break;
-+ case TCA_SFQ_HASH_FWMARKDIR:
-+ fprintf(f,"fwmark_direct");
-+ break;
-+ default:
-+ fprintf(f,"Unknown");
-+ }
-+ return 0;
-+}
-+
-+static int esfq_print_xstats(struct qdisc_util *qu, FILE *f, struct rtattr *xstats)
-+{
-+ return 0;
-+}
-+
-+
-+struct qdisc_util esfq_qdisc_util = {
-+ .id = "esfq",
-+ .parse_qopt = esfq_parse_opt,
-+ .print_qopt = esfq_print_opt,
-+ .print_xstats = esfq_print_xstats,
-+};
diff --git a/sys-apps/iproute2/files/iproute2-2.6.11.20050330-wrr.patch b/sys-apps/iproute2/files/iproute2-2.6.11.20050330-wrr.patch
deleted file mode 100644
index 81b9bb0aec4f..000000000000
--- a/sys-apps/iproute2/files/iproute2-2.6.11.20050330-wrr.patch
+++ /dev/null
@@ -1,456 +0,0 @@
---- include/linux/pkt_sched.h
-+++ include/linux/pkt_sched.h
-@@ -391,6 +391,118 @@
-
- #define TCA_CBQ_MAX (__TCA_CBQ_MAX - 1)
-
-+/* WRR section */
-+
-+/* Other includes */
-+#include <linux/if_ether.h>
-+
-+// A sub weight and of a class
-+// All numbers are represented as parts of (2^64-1).
-+struct tc_wrr_class_weight {
-+ __u64 val; // Current value (0 is not valid)
-+ __u64 decr; // Value pr bytes (2^64-1 is not valid)
-+ __u64 incr; // Value pr seconds (2^64-1 is not valid)
-+ __u64 min; // Minimal value (0 is not valid)
-+ __u64 max; // Minimal value (0 is not valid)
-+
-+ // The time where the above information was correct:
-+ time_t tim;
-+};
-+
-+// Pakcet send when modifying a class:
-+struct tc_wrr_class_modf {
-+ // Not-valid values are ignored.
-+ struct tc_wrr_class_weight weight1;
-+ struct tc_wrr_class_weight weight2;
-+};
-+
-+// Packet returned when quering a class:
-+struct tc_wrr_class_stats {
-+ char used; // If this is false the information below is invalid
-+
-+ struct tc_wrr_class_modf class_modf;
-+
-+ unsigned char addr[ETH_ALEN];
-+ char usemac; // True if addr is a MAC address, else it is an IP address
-+ // (this value is only for convience, it is always the same
-+ // value as in the qdisc)
-+ int heappos; // Current heap position or 0 if not in heap
-+ __u64 penal_ls; // Penalty value in heap (ls)
-+ __u64 penal_ms; // Penalty value in heap (ms)
-+};
-+
-+// Qdisc-wide penalty information (boolean values - 2 not valid)
-+struct tc_wrr_qdisc_weight {
-+ char weight_mode; // 0=No automatic change to weight
-+ // 1=Decrease normally
-+ // 2=Also multiply with number of machines
-+ // 3=Instead multiply with priority divided
-+ // with priority of the other.
-+ // -1=no change
-+};
-+
-+// Packet send when modifing a qdisc:
-+struct tc_wrr_qdisc_modf {
-+ // Not-valid values are ignored:
-+ struct tc_wrr_qdisc_weight weight1;
-+ struct tc_wrr_qdisc_weight weight2;
-+};
-+
-+// Packet send when creating a qdisc:
-+struct tc_wrr_qdisc_crt {
-+ struct tc_wrr_qdisc_modf qdisc_modf;
-+
-+ char srcaddr; // 1=lookup source, 0=lookup destination
-+ char usemac; // 1=Classify on MAC addresses, 0=classify on IP
-+ char usemasq; // 1=Classify based on masqgrading - only valid
-+ // if usemac is zero
-+ int bands_max; // Maximal number of bands (i.e.: classes)
-+ int proxy_maxconn; // If differnt from 0 then we support proxy remapping
-+ // of packets. And this is the number of maximal
-+ // concurrent proxy connections.
-+};
-+
-+// Packet returned when quering a qdisc:
-+struct tc_wrr_qdisc_stats {
-+ struct tc_wrr_qdisc_crt qdisc_crt;
-+ int proxy_curconn;
-+ int nodes_in_heap; // Current number of bands wanting to send something
-+ int bands_cur; // Current number of bands used (i.e.: MAC/IP addresses seen)
-+ int bands_reused; // Number of times this band has been reused.
-+ int packets_requed; // Number of times packets have been requeued.
-+ __u64 priosum; // Sum of priorities in heap where 1 is 2^32
-+};
-+
-+struct tc_wrr_qdisc_modf_std {
-+ // This indicates which of the tc_wrr_qdisc_modf structers this is:
-+ char proxy; // 0=This struct
-+
-+ // Should we also change a class?
-+ char change_class;
-+
-+ // Only valid if change_class is false
-+ struct tc_wrr_qdisc_modf qdisc_modf;
-+
-+ // Only valid if change_class is true:
-+ unsigned char addr[ETH_ALEN]; // Class to change (non-used bytes should be 0)
-+ struct tc_wrr_class_modf class_modf; // The change
-+};
-+
-+// Used for proxyrempping:
-+struct tc_wrr_qdisc_modf_proxy {
-+ // This indicates which of the tc_wrr_qdisc_modf structers this is:
-+ char proxy; // 1=This struct
-+
-+ // This is 1 if the proxyremap information should be reset
-+ char reset;
-+
-+ // changec is the number of elements in changes.
-+ int changec;
-+
-+ // This is an array of type ProxyRemapBlock:
-+ long changes[0];
-+};
-+
- /* dsmark section */
-
- enum {
---- tc/Makefile
-+++ tc/Makefile
-@@ -10,6 +10,7 @@
- TCMODULES += q_prio.o
- TCMODULES += q_tbf.o
- TCMODULES += q_cbq.o
-+TCMODULES += q_wrr.o
- TCMODULES += f_rsvp.o
- TCMODULES += f_u32.o
- TCMODULES += f_route.o
---- tc/q_wrr.c
-+++ tc/q_wrr.c
-@@ -0,0 +1,322 @@
-+#include <stdio.h>
-+#include <stdlib.h>
-+#include <unistd.h>
-+#include <syslog.h>
-+#include <fcntl.h>
-+#include <sys/socket.h>
-+#include <netinet/in.h>
-+#include <arpa/inet.h>
-+#include <string.h>
-+#include <math.h>
-+
-+#include "utils.h"
-+#include "tc_util.h"
-+
-+#define usage() return(-1)
-+
-+// Returns -1 on error
-+static int wrr_parse_qdisc_weight(int argc, char** argv,
-+ struct tc_wrr_qdisc_modf* opt) {
-+ int i;
-+
-+ opt->weight1.weight_mode=-1;
-+ opt->weight2.weight_mode=-1;
-+
-+ for(i=0; i<argc; i++) {
-+ if(!memcmp(argv[i],"wmode1=",7)) {
-+ opt->weight1.weight_mode=atoi(argv[i]+7);
-+ } else if(!memcmp(argv[i],"wmode2=",7)) {
-+ opt->weight2.weight_mode=atoi(argv[i]+7);
-+ } else {
-+ printf("Usage: ... [wmode1=0|1|2|3] [wmode2=0|1|2|3]\n");
-+ return -1;
-+ }
-+ }
-+ return 0;
-+}
-+
-+static int wrr_parse_class_modf(int argc, char** argv,
-+ struct tc_wrr_class_modf* modf) {
-+ int i;
-+
-+ if(argc<1) {
-+ fprintf(stderr, "Usage: ... [weight1=val] [decr1=val] [incr1=val] [min1=val] [max1=val] [val2=val] ...\n");
-+ fprintf(stderr, " The values can be floating point like 0.42 or divisions like 42/100\n");
-+ return -1;
-+ }
-+
-+ // Set meaningless values:
-+ modf->weight1.val=0;
-+ modf->weight1.decr=(__u64)-1;
-+ modf->weight1.incr=(__u64)-1;
-+ modf->weight1.min=0;
-+ modf->weight1.max=0;
-+ modf->weight2.val=0;
-+ modf->weight2.decr=(__u64)-1;
-+ modf->weight2.incr=(__u64)-1;
-+ modf->weight2.min=0;
-+ modf->weight2.max=0;
-+
-+ // And read values:
-+ for(i=0; i<argc; i++) {
-+ char arg[80];
-+ char* name,*value1=0,*value2=0;
-+ long double f_val1,f_val2=1,value;
-+ if(strlen(argv[i])>=sizeof(arg)) {
-+ fprintf(stderr,"Argument too long: %s\n",argv[i]);
-+ return -1;
-+ }
-+ strcpy(arg,argv[i]);
-+
-+ name=strtok(arg,"=");
-+ if(name) value1=strtok(0,"/");
-+ if(value1) value2=strtok(0,"");
-+
-+ if(!value1) {
-+ fprintf(stderr,"No = found in argument: %s\n",argv[i]);
-+ return -1;
-+ }
-+
-+ f_val1=atof(value1);
-+ if(value2) f_val2=atof(value2);
-+
-+ if(f_val2==0) {
-+ fprintf(stderr,"Division by 0\n");
-+ return -1;
-+ }
-+
-+ value=f_val1/f_val2;
-+ if(value>1) value=1;
-+ if(value<0) value=0;
-+ value*=((__u64)-1);
-+
-+ // And find the value set
-+ if(!strcmp(name,"weight1")) modf->weight1.val=value;
-+ else if(!strcmp(name,"decr1")) modf->weight1.decr=value;
-+ else if(!strcmp(name,"incr1")) modf->weight1.incr=value;
-+ else if(!strcmp(name,"min1")) modf->weight1.min=value;
-+ else if(!strcmp(name,"max1")) modf->weight1.max=value;
-+ else if(!strcmp(name,"weight2")) modf->weight2.val=value;
-+ else if(!strcmp(name,"decr2")) modf->weight2.decr=value;
-+ else if(!strcmp(name,"incr2")) modf->weight2.incr=value;
-+ else if(!strcmp(name,"min2")) modf->weight2.min=value;
-+ else if(!strcmp(name,"max2")) modf->weight2.max=value;
-+ else {
-+ fprintf(stderr,"illegal value: %s\n",name);
-+ return -1;
-+ }
-+ }
-+
-+ return 0;
-+}
-+
-+static int wrr_parse_opt(struct qdisc_util *qu, int argc, char **argv, struct nlmsghdr *n)
-+{
-+ if(n->nlmsg_flags & NLM_F_CREATE) {
-+ // This is a create request:
-+ struct tc_wrr_qdisc_crt opt;
-+
-+ int sour,dest,ip,mac,masq;
-+
-+ if(argc<4) {
-+ fprintf(stderr, "Usage: ... wrr sour|dest ip|masq|mac maxclasses proxymaxcon [penalty-setup]\n");
-+ return -1;
-+ }
-+
-+ // Read sour/dest:
-+ memset(&opt,0,sizeof(opt));
-+ sour=!strcmp(argv[0],"sour");
-+ dest=!strcmp(argv[0],"dest");
-+
-+ if(!sour && !dest) {
-+ fprintf(stderr,"sour or dest must be specified\n");
-+ return -1;
-+ }
-+
-+ // Read ip/mac
-+ ip=!strcmp(argv[1],"ip");
-+ mac=!strcmp(argv[1],"mac");
-+ masq=!strcmp(argv[1],"masq");
-+
-+ if(!ip && !mac && !masq) {
-+ fprintf(stderr,"ip, masq or mac must be specified\n");
-+ return -1;
-+ }
-+
-+ opt.srcaddr=sour;
-+ opt.usemac=mac;
-+ opt.usemasq=masq;
-+ opt.bands_max=atoi(argv[2]);
-+
-+ opt.proxy_maxconn=atoi(argv[3]);
-+
-+ // Read weights:
-+ if(wrr_parse_qdisc_weight(argc-4,argv+4,&opt.qdisc_modf)<0) return -1;
-+ if(opt.qdisc_modf.weight1.weight_mode==-1) opt.qdisc_modf.weight1.weight_mode=0;
-+ if(opt.qdisc_modf.weight2.weight_mode==-1) opt.qdisc_modf.weight2.weight_mode=0;
-+
-+ addattr_l(n, 1024, TCA_OPTIONS, &opt, sizeof(opt));
-+ } else {
-+ struct tc_wrr_qdisc_modf_std opt;
-+ char qdisc,class;
-+
-+ // This is a modify request:
-+ if(argc<1) {
-+ fprintf(stderr,"... qdisc ... or ... class ...\n");
-+ return -1;
-+ }
-+
-+ qdisc=!strcmp(argv[0],"qdisc");
-+ class=!strcmp(argv[0],"class");
-+
-+ if(!qdisc && !class) {
-+ fprintf(stderr,"qdisc or class must be specified\n");
-+ return -1;
-+ }
-+
-+ argc--;
-+ argv++;
-+
-+ opt.proxy=0;
-+
-+ if(qdisc) {
-+ opt.change_class=0;
-+ if(wrr_parse_qdisc_weight(argc, argv, &opt.qdisc_modf)<0) return -1;
-+ } else {
-+ int a0,a1,a2,a3,a4=0,a5=0;
-+
-+ opt.change_class=1;
-+
-+ if(argc<1) {
-+ fprintf(stderr,"... <mac>|<ip>|<masq> ...\n");
-+ return -1;
-+ }
-+ memset(opt.addr,0,sizeof(opt.addr));
-+
-+ if((sscanf(argv[0],"%i.%i.%i.%i",&a0,&a1,&a2,&a3)!=4) &&
-+ (sscanf(argv[0],"%x:%x:%x:%x:%x:%x",&a0,&a1,&a2,&a3,&a4,&a5)!=6)) {
-+ fprintf(stderr,"Wrong format of mac or ip address\n");
-+ return -1;
-+ }
-+
-+ opt.addr[0]=a0; opt.addr[1]=a1; opt.addr[2]=a2;
-+ opt.addr[3]=a3; opt.addr[4]=a4; opt.addr[5]=a5;
-+
-+ if(wrr_parse_class_modf(argc-1, argv+1, &opt.class_modf)<0) return -1;
-+ }
-+
-+ addattr_l(n, 1024, TCA_OPTIONS, &opt, sizeof(opt));
-+ }
-+ return 0;
-+}
-+
-+static int wrr_parse_copt(struct qdisc_util *qu, int argc, char **argv, struct nlmsghdr *n) {
-+ struct tc_wrr_class_modf opt;
-+
-+ memset(&opt,0,sizeof(opt));
-+ if(wrr_parse_class_modf(argc,argv,&opt)<0) return -1;
-+
-+ addattr_l(n, 1024, TCA_OPTIONS, &opt, sizeof(opt));
-+ return 0;
-+}
-+
-+static int wrr_print_opt(struct qdisc_util *qu, FILE *f, struct rtattr *opt)
-+{
-+ struct tc_wrr_qdisc_stats *qopt;
-+
-+ if (opt == NULL)
-+ return 0;
-+
-+ if (RTA_PAYLOAD(opt) < sizeof(*qopt))
-+ return -1;
-+ qopt = RTA_DATA(opt);
-+
-+ fprintf(f,"\n (%s/%s) (maxclasses %i) (usedclasses %i) (reused classes %i)\n",
-+ qopt->qdisc_crt.srcaddr ? "sour" : "dest",
-+ qopt->qdisc_crt.usemac ? "mac" : (qopt->qdisc_crt.usemasq ? "masq" : "ip"),
-+ qopt->qdisc_crt.bands_max,
-+ qopt->bands_cur,
-+ qopt->bands_reused
-+ );
-+
-+ if(qopt->qdisc_crt.proxy_maxconn) {
-+ fprintf(f," (proxy maxcon %i) (proxy curcon %i)\n",
-+ qopt->qdisc_crt.proxy_maxconn,qopt->proxy_curconn);
-+ }
-+
-+ fprintf(f," (waiting classes %i) (packets requeued %i) (priosum: %Lg)\n",
-+ qopt->nodes_in_heap,
-+ qopt->packets_requed,
-+ qopt->priosum/((long double)((__u32)-1))
-+ );
-+
-+ fprintf(f," (wmode1 %i) (wmode2 %i) \n",
-+ qopt->qdisc_crt.qdisc_modf.weight1.weight_mode,
-+ qopt->qdisc_crt.qdisc_modf.weight2.weight_mode);
-+
-+ return 0;
-+}
-+
-+static int wrr_print_copt(struct qdisc_util *qu, FILE *f, struct rtattr *opt) {
-+ struct tc_wrr_class_stats *copt;
-+ long double d=(__u64)-1;
-+
-+ if (opt == NULL) return 0;
-+
-+ if (RTA_PAYLOAD(opt) < sizeof(*copt))
-+ return -1;
-+ copt = RTA_DATA(opt);
-+
-+ if(!copt->used) {
-+ fprintf(f,"(unused)");
-+ return 0;
-+ }
-+
-+ if(copt->usemac) {
-+ fprintf(f,"\n (address: %.2X:%.2X:%.2X:%.2X:%.2X:%.2X)\n",
-+ copt->addr[0],copt->addr[1],copt->addr[2],
-+ copt->addr[3],copt->addr[4],copt->addr[5]);
-+ } else {
-+ fprintf(f,"\n (address: %i.%i.%i.%i)\n",copt->addr[0],copt->addr[1],copt->addr[2],copt->addr[3]);
-+ }
-+
-+ fprintf(f," (total weight: %Lg) (current position: %i) (counters: %u %u : %u %u)\n",
-+ (copt->class_modf.weight1.val/d)*(copt->class_modf.weight2.val/d),
-+ copt->heappos,
-+ (unsigned)(copt->penal_ms>>32),
-+ (unsigned)(copt->penal_ms & 0xffffffffU),
-+ (unsigned)(copt->penal_ls>>32),
-+ (unsigned)(copt->penal_ls & 0xffffffffU)
-+ );
-+
-+ fprintf(f," Pars 1: (weight %Lg) (decr: %Lg) (incr: %Lg) (min: %Lg) (max: %Lg)\n",
-+ copt->class_modf.weight1.val/d,
-+ copt->class_modf.weight1.decr/d,
-+ copt->class_modf.weight1.incr/d,
-+ copt->class_modf.weight1.min/d,
-+ copt->class_modf.weight1.max/d);
-+
-+ fprintf(f," Pars 2: (weight %Lg) (decr: %Lg) (incr: %Lg) (min: %Lg) (max: %Lg)",
-+ copt->class_modf.weight2.val/d,
-+ copt->class_modf.weight2.decr/d,
-+ copt->class_modf.weight2.incr/d,
-+ copt->class_modf.weight2.min/d,
-+ copt->class_modf.weight2.max/d);
-+
-+ return 0;
-+}
-+
-+static int wrr_print_xstats(struct qdisc_util *qu, FILE *f, struct rtattr *xstats)
-+{
-+ return 0;
-+}
-+
-+
-+struct qdisc_util wrr_qdisc_util = {
-+ .id = "wrr",
-+ .parse_qopt = wrr_parse_opt,
-+ .print_qopt = wrr_print_opt,
-+ .print_xstats = wrr_print_xstats,
-+ .parse_copt = wrr_parse_copt,
-+ .print_copt = wrr_print_copt
-+};
diff --git a/sys-apps/iproute2/files/iproute2-2.6.16.20060323-ifcfg-catch-missing-argument.patch b/sys-apps/iproute2/files/iproute2-2.6.16.20060323-ifcfg-catch-missing-argument.patch
deleted file mode 100644
index 796161b5a490..000000000000
--- a/sys-apps/iproute2/files/iproute2-2.6.16.20060323-ifcfg-catch-missing-argument.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-http://bugs.gentoo.org/130243
-
-Fix syntax errors when running `ifcfg dev`
-
-Index: ip/ifcfg
-===================================================================
-RCS file: /repos/iproute2/ip/ifcfg,v
-retrieving revision 1.2
-diff -u -p -r1.2 ifcfg
---- ip/ifcfg 15 Apr 2004 20:56:59 -0000 1.2
-+++ ip/ifcfg 19 Apr 2006 00:30:28 -0000
-@@ -86,6 +86,10 @@ if [ "$peer" != "" ]; then
- fi
- pfx="$ipaddr peer $peer"
- else
-+ if [ "$ipaddr" = "" ]; then
-+ echo "Missing IP address argument." 1>&2
-+ exit 1
-+ fi
- if [ "$pfxlen" = "" ]; then
- ABCMaskLen $ipaddr
- pfxlen=$?
diff --git a/sys-apps/iproute2/files/iproute2-2.6.16.20060323-routef-safe.patch b/sys-apps/iproute2/files/iproute2-2.6.16.20060323-routef-safe.patch
deleted file mode 100644
index a592d11a26f9..000000000000
--- a/sys-apps/iproute2/files/iproute2-2.6.16.20060323-routef-safe.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-http://bugs.gentoo.org/139853
-
-diff --git a/ip/routef b/ip/routef
-index db43b5d..d266e2d 100644
---- a/ip/routef
-+++ b/ip/routef
-@@ -1,3 +1,9 @@
- #! /bin/sh
-
--exec ip -4 ro flush scope global type unicast
-+if [ -z "$*" ] ; then
-+ exec ip -4 ro flush scope global type unicast
-+else
-+ echo "Usage: routef"
-+ echo
-+ echo "This script will flush the IPv4 routing table"
-+fi
diff --git a/sys-apps/iproute2/files/iproute2-2.6.18.20061002-genl.patch b/sys-apps/iproute2/files/iproute2-2.6.18.20061002-genl.patch
deleted file mode 100644
index a1684b3cc8f2..000000000000
--- a/sys-apps/iproute2/files/iproute2-2.6.18.20061002-genl.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-http://bugs.gentoo.org/151307
-
---- iproute2-2.6.18-061002/genl/Makefile
-+++ iproute2-2.6.18-061002/genl/Makefile
-@@ -7,14 +7,15 @@
-
- GENLLIB :=
-
-+LDLIBS += -lm -ldl
--LDFLAGS += -Wl,-export-dynamic -lm -ldl
-+LDFLAGS += -Wl,-export-dynamic
-
- all: genl
-
- genl: $(GENLOBJ) $(LIBNETLINK) $(LIBUTIL) $(GENLLIB)
-
- install: all
-- install -m 0755 -s genl $(DESTDIR)$(SBINDIR)
-+ install -m 0755 genl $(DESTDIR)$(SBINDIR)
-
- clean:
- rm -f $(GENLOBJ) $(GENLLIB) genl
diff --git a/sys-apps/iproute2/files/iproute2-2.6.19.20061214-build.patch b/sys-apps/iproute2/files/iproute2-2.6.19.20061214-build.patch
deleted file mode 100644
index bd2ce54c2b2b..000000000000
--- a/sys-apps/iproute2/files/iproute2-2.6.19.20061214-build.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- Makefile.orig
-+++ Makefile
-@@ -32,7 +32,8 @@
- LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a
-
- all: Config
-- @for i in $(SUBDIRS); \
-+ @set -e; \
-+ for i in $(SUBDIRS); \
- do $(MAKE) $(MFLAGS) -C $$i; done
-
- Config:
diff --git a/sys-apps/iproute2/iproute2-2.6.15.20060110.ebuild b/sys-apps/iproute2/iproute2-2.6.15.20060110.ebuild
deleted file mode 100644
index 9474e88d802b..000000000000
--- a/sys-apps/iproute2/iproute2-2.6.15.20060110.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/iproute2/iproute2-2.6.15.20060110.ebuild,v 1.11 2008/03/11 16:51:00 ricmm Exp $
-
-inherit eutils toolchain-funcs
-
-MY_PV=${PV%.*}
-SNAP=${PV##*.}
-SNAP=${SNAP:2}
-DESCRIPTION="kernel routing and traffic control utilities"
-HOMEPAGE="http://linux-net.osdl.org/index.php/Iproute2"
-SRC_URI="http://developer.osdl.org/dev/iproute2/download/${PN}-${MY_PV}-${SNAP}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86"
-IUSE="atm berkdb minimal"
-
-RDEPEND="!minimal? ( berkdb? ( sys-libs/db ) )
- atm? ( net-dialup/linux-atm )"
-DEPEND="${RDEPEND}
- >=virtual/os-headers-2.4.21"
-
-S=${WORKDIR}/${PN}-${MY_PV}-${SNAP}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
- sed -i -e "s:-O2:${CFLAGS}:" Makefile || die "sed Makefile failed"
-
- #68948 - esfq/wrr patches
- epatch "${FILESDIR}"/${PN}-051007-esfq-2.6.13.patch
- epatch "${FILESDIR}"/${PN}-2.6.11.20050330-wrr.patch
-
- # don't build arpd if USE=-berkdb #81660
- use berkdb || sed -i '/^TARGETS=/s: arpd : :' misc/Makefile
- # Multilib fixes
- sed -i 's:/usr/local:/usr:' tc/m_ipt.c
- sed -i "s:/usr/lib:/usr/$(get_libdir):g" \
- netem/Makefile tc/{Makefile,tc.c,q_netem.c,m_ipt.c} || die
-}
-
-src_compile() {
- echo -n 'TC_CONFIG_ATM:=' > Config
- use atm \
- && echo 'y' >> Config \
- || echo 'n' >> Config
-
- local SUBDIRS="lib ip tc misc netem"
- use minimal && SUBDIRS="lib tc"
- emake \
- CC="$(tc-getCC)" \
- AR="$(tc-getAR)" \
- SUBDIRS="${SUBDIRS}" \
- || die "make"
-}
-
-src_install() {
- if use minimal ; then
- into /
- dosbin tc/tc || die "minimal"
- return 0
- fi
-
- make \
- DESTDIR="${D}" \
- SBINDIR=/sbin \
- DOCDIR=/usr/share/doc/${PF} \
- install \
- || die "make install failed"
- if use berkdb ; then
- dodir /var/lib/arpd
- # bug 47482, arpd doesn't need to be in /sbin
- dodir /usr/sbin
- mv "${D}"/sbin/arpd "${D}"/usr/sbin/
- fi
-}
diff --git a/sys-apps/iproute2/iproute2-2.6.16.20060323.ebuild b/sys-apps/iproute2/iproute2-2.6.16.20060323.ebuild
deleted file mode 100644
index f0d067f13226..000000000000
--- a/sys-apps/iproute2/iproute2-2.6.16.20060323.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/iproute2/iproute2-2.6.16.20060323.ebuild,v 1.17 2008/03/11 16:51:00 ricmm Exp $
-
-inherit eutils toolchain-funcs
-
-MY_PV=${PV%.*}
-SNAP=${PV##*.}
-SNAP=${SNAP:2}
-DESCRIPTION="kernel routing and traffic control utilities"
-HOMEPAGE="http://linux-net.osdl.org/index.php/Iproute2"
-SRC_URI="http://developer.osdl.org/dev/iproute2/download/${PN}-${MY_PV}-${SNAP}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86"
-IUSE="atm berkdb minimal"
-
-RDEPEND="!minimal? ( berkdb? ( sys-libs/db ) )
- atm? ( net-dialup/linux-atm )"
-DEPEND="${RDEPEND}
- >=virtual/os-headers-2.4.21"
-
-S=${WORKDIR}/${PN}-${MY_PV}-${SNAP}
-
-pkg_setup() {
- if use kernel_linux ; then
- ewarn
- ewarn "${PN} requires kernel support for Netlink (CONFIG_NETLINK)."
- ewarn "This is only applies for kernels prior to 2.4.17"
- ewarn
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
- sed -i "s:-O2:${CFLAGS}:" Makefile || die "sed Makefile failed"
-
- epatch "${FILESDIR}"/${P}-ifcfg-catch-missing-argument.patch #130243
- epatch "${FILESDIR}"/${P}-build.patch #137574
- epatch "${FILESDIR}"/${P}-routef-safe.patch #139853
-
- #68948 - esfq/wrr patches
- epatch "${FILESDIR}"/${PN}-051007-esfq-2.6.13.patch
- epatch "${FILESDIR}"/${PN}-2.6.11.20050330-wrr.patch
-
- # don't build arpd if USE=-berkdb #81660
- use berkdb || sed -i '/^TARGETS=/s: arpd : :' misc/Makefile
- # Multilib fixes
- sed -i 's:/usr/local:/usr:' tc/m_ipt.c include/iptables.h
- sed -i "s:/usr/lib:/usr/$(get_libdir):g" \
- netem/Makefile tc/{Makefile,tc.c,q_netem.c,m_ipt.c} include/iptables.h || die
- # Use correct iptables dir, #144265.
- sed -i "s:/usr/local/lib/iptables:/$(get_libdir)/iptables:g" \
- include/iptables.h
-}
-
-src_compile() {
- echo -n 'TC_CONFIG_ATM:=' > Config
- use atm \
- && echo 'y' >> Config \
- || echo 'n' >> Config
-
- local SUBDIRS="lib ip tc misc netem"
- use minimal && SUBDIRS="lib tc"
- emake \
- CC="$(tc-getCC)" \
- AR="$(tc-getAR)" \
- SUBDIRS="${SUBDIRS}" \
- || die "make"
-}
-
-src_install() {
- if use minimal ; then
- into /
- dosbin tc/tc || die "minimal"
- return 0
- fi
-
- make \
- DESTDIR="${D}" \
- SBINDIR=/sbin \
- DOCDIR=/usr/share/doc/${PF} \
- install \
- || die "make install failed"
- if use berkdb ; then
- dodir /var/lib/arpd
- # bug 47482, arpd doesn't need to be in /sbin
- dodir /usr/sbin
- mv "${D}"/sbin/arpd "${D}"/usr/sbin/
- fi
-}
diff --git a/sys-apps/iproute2/iproute2-2.6.18.20061002.ebuild b/sys-apps/iproute2/iproute2-2.6.18.20061002.ebuild
deleted file mode 100644
index 75fcb1c9f2e5..000000000000
--- a/sys-apps/iproute2/iproute2-2.6.18.20061002.ebuild
+++ /dev/null
@@ -1,91 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/iproute2/iproute2-2.6.18.20061002.ebuild,v 1.10 2008/03/11 16:51:00 ricmm Exp $
-
-inherit eutils toolchain-funcs
-
-MY_PV=${PV%.*}
-SNAP=${PV##*.}
-SNAP=${SNAP:2}
-DESCRIPTION="kernel routing and traffic control utilities"
-HOMEPAGE="http://linux-net.osdl.org/index.php/Iproute2"
-SRC_URI="http://developer.osdl.org/dev/iproute2/download/${PN}-${MY_PV}-${SNAP}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc ~x86"
-IUSE="atm berkdb minimal"
-
-RDEPEND="!minimal? ( berkdb? ( sys-libs/db ) )
- atm? ( net-dialup/linux-atm )"
-DEPEND="${RDEPEND}
- >=virtual/os-headers-2.4.21"
-
-S=${WORKDIR}/${PN}-${MY_PV}-${SNAP}
-
-pkg_setup() {
- if use kernel_linux ; then
- ewarn
- ewarn "${PN} requires kernel support for Netlink (CONFIG_NETLINK)."
- ewarn "This is only applies for kernels prior to 2.4.17"
- ewarn
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
- sed -i "s:-O2:${CFLAGS}:" Makefile || die "sed Makefile failed"
-
- epatch "${FILESDIR}"/${PN}-2.6.16.20060323-build.patch #137574
- epatch "${FILESDIR}"/${PN}-2.6.16.20060323-routef-safe.patch #139853
- epatch "${FILESDIR}"/${PN}-2.6.18.20061002-genl.patch #151307
-
- #68948 - esfq/wrr patches
- epatch "${FILESDIR}"/${PN}-051007-esfq-2.6.13.patch
- epatch "${FILESDIR}"/${PN}-2.6.11.20050330-wrr.patch
-
- # don't build arpd if USE=-berkdb #81660
- use berkdb || sed -i '/^TARGETS=/s: arpd : :' misc/Makefile
- # Multilib fixes
- sed -i 's:/usr/local:/usr:' tc/m_ipt.c include/iptables.h
- sed -i "s:/usr/lib:/usr/$(get_libdir):g" \
- netem/Makefile tc/{Makefile,tc.c,q_netem.c,m_ipt.c} include/iptables.h || die
- # Use correct iptables dir, #144265.
- sed -i "s:/usr/local/lib/iptables:/$(get_libdir)/iptables:g" \
- include/iptables.h
-}
-
-src_compile() {
- echo -n 'TC_CONFIG_ATM:=' > Config
- use atm \
- && echo 'y' >> Config \
- || echo 'n' >> Config
-
- use minimal && sed -i -e '/^SUBDIRS=/s:=.*:=lib tc:' Makefile
- emake \
- CC="$(tc-getCC)" \
- AR="$(tc-getAR)" \
- || die "make"
-}
-
-src_install() {
- if use minimal ; then
- into /
- dosbin tc/tc || die "minimal"
- return 0
- fi
-
- make \
- DESTDIR="${D}" \
- SBINDIR=/sbin \
- DOCDIR=/usr/share/doc/${PF} \
- install \
- || die "make install failed"
- if use berkdb ; then
- dodir /var/lib/arpd
- # bug 47482, arpd doesn't need to be in /sbin
- dodir /usr/sbin
- mv "${D}"/sbin/arpd "${D}"/usr/sbin/
- fi
-}
diff --git a/sys-apps/iproute2/iproute2-2.6.19.20061214.ebuild b/sys-apps/iproute2/iproute2-2.6.19.20061214.ebuild
deleted file mode 100644
index 295a20fa1a7a..000000000000
--- a/sys-apps/iproute2/iproute2-2.6.19.20061214.ebuild
+++ /dev/null
@@ -1,91 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/iproute2/iproute2-2.6.19.20061214.ebuild,v 1.12 2008/03/11 16:51:00 ricmm Exp $
-
-inherit eutils toolchain-funcs
-
-MY_PV=${PV%.*}
-SNAP=${PV##*.}
-SNAP=${SNAP:2}
-DESCRIPTION="kernel routing and traffic control utilities"
-HOMEPAGE="http://linux-net.osdl.org/index.php/Iproute2"
-SRC_URI="http://developer.osdl.org/dev/iproute2/download/${PN}-${MY_PV}-${SNAP}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm hppa ~ia64 m68k ~mips ppc ppc64 s390 sh sparc x86"
-IUSE="atm berkdb minimal"
-
-RDEPEND="!minimal? ( berkdb? ( sys-libs/db ) )
- atm? ( net-dialup/linux-atm )"
-DEPEND="${RDEPEND}
- >=virtual/os-headers-2.4.21"
-
-S=${WORKDIR}/${PN}-${MY_PV}-${SNAP}
-
-pkg_setup() {
- if use kernel_linux ; then
- ewarn
- ewarn "${PN} requires kernel support for Netlink (CONFIG_NETLINK)."
- ewarn "This is only applies for kernels prior to 2.4.17"
- ewarn
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
- sed -i "s:-O2:${CFLAGS}:" Makefile || die "sed Makefile failed"
-
- epatch "${FILESDIR}"/${PN}-2.6.16.20060323-build.patch #137574
- epatch "${FILESDIR}"/${PN}-2.6.16.20060323-routef-safe.patch #139853
- epatch "${FILESDIR}"/${PN}-2.6.19.20061214-build.patch
-
- #68948 - esfq/wrr patches
- epatch "${FILESDIR}"/${PN}-051007-esfq-2.6.13.patch
- epatch "${FILESDIR}"/${PN}-2.6.11.20050330-wrr.patch
-
- # don't build arpd if USE=-berkdb #81660
- use berkdb || sed -i '/^TARGETS=/s: arpd : :' misc/Makefile
- # Multilib fixes
- sed -i 's:/usr/local:/usr:' tc/m_ipt.c include/iptables.h
- sed -i "s:/usr/lib:/usr/$(get_libdir):g" \
- netem/Makefile tc/{Makefile,tc.c,q_netem.c,m_ipt.c} include/iptables.h || die
- # Use correct iptables dir, #144265.
- sed -i "s:/usr/local/lib/iptables:/$(get_libdir)/iptables:g" \
- include/iptables.h
-}
-
-src_compile() {
- echo -n 'TC_CONFIG_ATM:=' > Config
- use atm \
- && echo 'y' >> Config \
- || echo 'n' >> Config
-
- use minimal && sed -i -e '/^SUBDIRS=/s:=.*:=lib tc:' Makefile
- emake \
- CC="$(tc-getCC)" \
- AR="$(tc-getAR)" \
- || die "make"
-}
-
-src_install() {
- if use minimal ; then
- into /
- dosbin tc/tc || die "minimal"
- return 0
- fi
-
- emake \
- DESTDIR="${D}" \
- SBINDIR=/sbin \
- DOCDIR=/usr/share/doc/${PF} \
- install \
- || die "make install failed"
- if use berkdb ; then
- dodir /var/lib/arpd
- # bug 47482, arpd doesn't need to be in /sbin
- dodir /usr/sbin
- mv "${D}"/sbin/arpd "${D}"/usr/sbin/
- fi
-}
diff --git a/sys-apps/iproute2/iproute2-2.6.20.20070313.ebuild b/sys-apps/iproute2/iproute2-2.6.20.20070313.ebuild
deleted file mode 100644
index 2cdb5362dd64..000000000000
--- a/sys-apps/iproute2/iproute2-2.6.20.20070313.ebuild
+++ /dev/null
@@ -1,90 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/iproute2/iproute2-2.6.20.20070313.ebuild,v 1.8 2007/12/11 10:39:27 vapier Exp $
-
-inherit eutils toolchain-funcs
-
-MY_PV=${PV%.*}
-SNAP=${PV##*.}
-SNAP=${SNAP:2}
-DESCRIPTION="kernel routing and traffic control utilities"
-HOMEPAGE="http://linux-net.osdl.org/index.php/Iproute2"
-SRC_URI="http://developer.osdl.org/dev/iproute2/download/${PN}-${MY_PV}-${SNAP}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ~ppc64 s390 sh sparc x86"
-IUSE="atm berkdb minimal"
-
-RDEPEND="!minimal? ( berkdb? ( sys-libs/db ) )
- atm? ( net-dialup/linux-atm )"
-DEPEND="${RDEPEND}
- >=virtual/os-headers-2.4.21"
-
-S=${WORKDIR}/iproute-${MY_PV}-${SNAP}
-
-pkg_setup() {
- if use kernel_linux ; then
- ewarn
- ewarn "${PN} requires kernel support for Netlink (CONFIG_NETLINK)."
- ewarn "This is only applies for kernels prior to 2.4.17"
- ewarn
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
- sed -i "s:-O2:${CFLAGS}:" Makefile || die "sed Makefile failed"
-
- epatch "${FILESDIR}"/${PN}-2.6.16.20060323-build.patch #137574
- epatch "${FILESDIR}"/${PN}-2.6.16.20060323-routef-safe.patch #139853
-
- #68948 - esfq/wrr patches
- epatch "${FILESDIR}"/${PN}-051007-esfq-2.6.13.patch
- epatch "${FILESDIR}"/${PN}-2.6.11.20050330-wrr.patch
-
- # don't build arpd if USE=-berkdb #81660
- use berkdb || sed -i '/^TARGETS=/s: arpd : :' misc/Makefile
- # Multilib fixes
- sed -i 's:/usr/local:/usr:' tc/m_ipt.c include/iptables.h
- sed -i "s:/usr/lib:/usr/$(get_libdir):g" \
- netem/Makefile tc/{Makefile,tc.c,q_netem.c,m_ipt.c} include/iptables.h || die
- # Use correct iptables dir, #144265.
- sed -i "s:/usr/local/lib/iptables:/$(get_libdir)/iptables:g" \
- include/iptables.h
-}
-
-src_compile() {
- echo -n 'TC_CONFIG_ATM:=' > Config
- use atm \
- && echo 'y' >> Config \
- || echo 'n' >> Config
-
- use minimal && sed -i -e '/^SUBDIRS=/s:=.*:=lib tc:' Makefile
- emake \
- CC="$(tc-getCC)" \
- AR="$(tc-getAR)" \
- || die "make"
-}
-
-src_install() {
- if use minimal ; then
- into /
- dosbin tc/tc || die "minimal"
- return 0
- fi
-
- emake \
- DESTDIR="${D}" \
- SBINDIR=/sbin \
- DOCDIR=/usr/share/doc/${PF} \
- install \
- || die "make install failed"
- if use berkdb ; then
- dodir /var/lib/arpd
- # bug 47482, arpd doesn't need to be in /sbin
- dodir /usr/sbin
- mv "${D}"/sbin/arpd "${D}"/usr/sbin/
- fi
-}